diff options
author | Daiki Ueno <ueno@gnu.org> | 2014-03-10 18:13:28 +0900 |
---|---|---|
committer | Daiki Ueno <ueno@gnu.org> | 2014-03-10 18:24:15 +0900 |
commit | d66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch) | |
tree | c4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/xgettext-c-16 | |
parent | 0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff) | |
download | external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2 |
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since
'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/xgettext-c-16')
-rw-r--r--[-rwxr-xr-x] | gettext-tools/tests/xgettext-c-16 | 14 |
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/xgettext-c-16 b/gettext-tools/tests/xgettext-c-16 index 15c19c8..a594492 100755..100644 --- a/gettext-tools/tests/xgettext-c-16 +++ b/gettext-tools/tests/xgettext-c-16 @@ -3,10 +3,6 @@ # Test C support: --add-comments option. -tmpfiles="" -trap 'rm -fr $tmpfiles' 1 2 3 15 - -tmpfiles="$tmpfiles xg-c-16.c" cat <<\EOF > xg-c-16.c /* a */ /* b */ char *string = /* c */ @@ -14,15 +10,11 @@ cat <<\EOF > xg-c-16.c /* e */ _( /* f */ "hello " /* g */ "world" /* h */ ); EOF -tmpfiles="$tmpfiles xg-c-16.tmp.po xg-c-16.po" : ${XGETTEXT=xgettext} ${XGETTEXT} --add-comments --omit-header --no-location --keyword=_ \ - -d xg-c-16.tmp xg-c-16.c -test $? = 0 || { rm -fr $tmpfiles; exit 1; } -LC_ALL=C tr -d '\r' < xg-c-16.tmp.po > xg-c-16.po -test $? = 0 || { rm -fr $tmpfiles; exit 1; } + -d xg-c-16.tmp xg-c-16.c || exit 1 +LC_ALL=C tr -d '\r' < xg-c-16.tmp.po > xg-c-16.po || exit 1 -tmpfiles="$tmpfiles xg-c-16.ok" cat <<EOF > xg-c-16.ok #. a #. b @@ -38,6 +30,4 @@ EOF ${DIFF} xg-c-16.ok xg-c-16.po result=$? -rm -fr $tmpfiles - exit $result |